http://bugs.freedesktop.org/show_bug.cgi?id=47587

--- configure.ac
+++ configure.ac
@@ -56,10 +56,21 @@
   gthread-2.0 >= $GLIB_REQUIRED_VERSION
 )
 
-PKG_CHECK_MODULES(POLKIT,
-  polkit-gobject-1 >= $POLKIT_REQUIRED_VERSION,
-  have_polkit=yes,
-  have_polkit=no)
+AC_ARG_ENABLE([polkit],
+  AC_HELP_STRING([--enable-polkit], [Enable PolicyKit support (default auto)]),
+  enable_polkit=$enableval,
+  enable_polkit=auto)
+
+if test "x$enable_polkit" != "xno"; then
+  PKG_CHECK_MODULES(POLKIT,
+    polkit-gobject-1 >= $POLKIT_REQUIRED_VERSION,
+    have_polkit=yes,
+    have_polkit=no)
+  if test "x$enable_polkit"  = "xyes" -a "x$have_polkit" = "xno"; then
+    AC_MSG_ERROR([PolicyKit support explicitly requested but dependencies not found])
+  fi
+fi
+
 if test "x$have_polkit" = "xyes" ; then
        AC_DEFINE(HAVE_POLKIT, [], [Define if we have polkit])
 fi
